path: /build/build/x264-media-libs-0.0.20190903.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-opencl abi_x86_32 abi_x86_64" emerge media-libs/x264 -pv -t && \
    USE="-opencl abi_x86_32 abi_x86_64" emerge -j ${JOBS} --nodeps media-libs/x264
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/x264 && luet-portage --dir /pkgdir/x264
    media-libs/x264 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:955ddb6622a3ccf5768f82e0dbabf6d1386cdcfce9b70f926ccb5adc85b61d90
  package:
    name: x264
    version: 0.0.20190903
    category: media-libs
    use_flags:
    - -opencl
    - abi_x86_32
    - abi_x86_64
    requires:
    - name: macaroni-funtoo-race9
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A free library for encoding X264/AVC streams
    uri:
    - https://www.videolan.org/developers/x264.html
    license: GPL-2
    buildtimestamp: 2023-08-27 21:33:03.536098647 +0000 UTC m=+93.090021601
    labels:
      DEPEND: abi_x86_32? ( >=dev-lang/nasm-2.13 ) abi_x86_64? ( >=dev-lang/nasm-2.13
        ) opencl? ( dev-lang/perl )
      IUSE: altivec +interlaced opencl pic static-libs cpu_flags_x86_sse +threads
        abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32
        abi_s390_64
      RDEPEND: opencl? ( >=virtual/opencl-0-r3[-mgorny(-)] )
      emerge.packages: media-libs/x264
      kit: media-kit
      original.package.name: media-libs/x264
      original.package.slot: "0"
      original.package.version: 0.0.20190903
    treedir: /build/packages
  package_dir: /pkgdir/x264
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 96c18af19fb0829ff244390949a677e0e4db7ef11f040b39e58475c674995b15
compressiontype: zstd
files:
- usr/include/x264.h
- usr/include/x264_config.h
- usr/lib64/libx264.so
- usr/lib64/libx264.so.157
- usr/lib64/pkgconfig/x264.pc
- usr/share/doc/x264-0.0.20190903/AUTHORS.bz2
- usr/share/doc/x264-0.0.20190903/ratecontrol.txt.bz2
- usr/share/doc/x264-0.0.20190903/regression_test.txt.bz2
- usr/share/doc/x264-0.0.20190903/standards.txt.bz2
- usr/share/doc/x264-0.0.20190903/threads.txt.bz2
- usr/share/doc/x264-0.0.20190903/vui.txt.bz2
- var/db/pkg/media-libs/x264-0.0.20190903/BUILD_TIME
- var/db/pkg/media-libs/x264-0.0.20190903/CATEGORY
- var/db/pkg/media-libs/x264-0.0.20190903/CBUILD
- var/db/pkg/media-libs/x264-0.0.20190903/CC
- var/db/pkg/media-libs/x264-0.0.20190903/CFLAGS
- var/db/pkg/media-libs/x264-0.0.20190903/CHOST
- var/db/pkg/media-libs/x264-0.0.20190903/CONTENTS
- var/db/pkg/media-libs/x264-0.0.20190903/COUNTER
- var/db/pkg/media-libs/x264-0.0.20190903/CXXFLAGS
- var/db/pkg/media-libs/x264-0.0.20190903/DEFINED_PHASES
- var/db/pkg/media-libs/x264-0.0.20190903/DEPEND
- var/db/pkg/media-libs/x264-0.0.20190903/DESCRIPTION
- var/db/pkg/media-libs/x264-0.0.20190903/EAPI
- var/db/pkg/media-libs/x264-0.0.20190903/FEATURES
- var/db/pkg/media-libs/x264-0.0.20190903/HOMEPAGE
- var/db/pkg/media-libs/x264-0.0.20190903/INHERITED
- var/db/pkg/media-libs/x264-0.0.20190903/IUSE
- var/db/pkg/media-libs/x264-0.0.20190903/IUSE_EFFECTIVE
- var/db/pkg/media-libs/x264-0.0.20190903/KEYWORDS
- var/db/pkg/media-libs/x264-0.0.20190903/LDFLAGS
- var/db/pkg/media-libs/x264-0.0.20190903/LICENSE
- var/db/pkg/media-libs/x264-0.0.20190903/NEEDED
- var/db/pkg/media-libs/x264-0.0.20190903/PF
- var/db/pkg/media-libs/x264-0.0.20190903/PROVIDES
- var/db/pkg/media-libs/x264-0.0.20190903/REQUIRES
- var/db/pkg/media-libs/x264-0.0.20190903/SIZE
- var/db/pkg/media-libs/x264-0.0.20190903/SLOT
- var/db/pkg/media-libs/x264-0.0.20190903/USE
- var/db/pkg/media-libs/x264-0.0.20190903/environment.bz2
- var/db/pkg/media-libs/x264-0.0.20190903/repository
- var/db/pkg/media-libs/x264-0.0.20190903/x264-0.0.20190903.ebuild
package_cacheimage: ""
runtime:
  name: x264
  version: 0.0.20190903
  category: media-libs
  use_flags:
  - -opencl
  - abi_x86_32
  - abi_x86_64
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A free library for encoding X264/AVC streams
  uri:
  - https://www.videolan.org/developers/x264.html
  license: GPL-2
  labels:
    DEPEND: abi_x86_32? ( >=dev-lang/nasm-2.13 ) abi_x86_64? ( >=dev-lang/nasm-2.13
      ) opencl? ( dev-lang/perl )
    IUSE: altivec +interlaced opencl pic static-libs cpu_flags_x86_sse +threads abi_x86_32
      abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
    RDEPEND: opencl? ( >=virtual/opencl-0-r3[-mgorny(-)] )
    emerge.packages: media-libs/x264
    kit: media-kit
    original.package.name: media-libs/x264
    original.package.slot: "0"
    original.package.version: 0.0.20190903
